# Stuff to be implemented externally :
Source10: kmodtool
%define   kmodtool sh %{SOURCE10}
# End stuff to be ...

# Temporarily hardcoded :
%{!?kver: %define kver 2.6.28-4}
%ifnarch i686 x86_64 ppc
%define kvariants ""
%else
%ifarch i686
%define kvariants "" PAE
%endif
%ifarch x86_64
%define kvariants ""
%endif
%endif

%define kmod_name ndiswrapper
%define kverrel %(%{kmodtool} verrel  %{?kver} 2>/dev/null)
%{!?kvariants: %global kvariants %(%{kmodtool} variant %{?kver} 2>/dev/null)}

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Ndiswrapper kernel module
Name: 		%{kmod_name}-kmod
Version: 	1.54
Release: 	1.%(echo %{kverrel} | tr - _)
Group: 		System/Configuration/Hardware
License: 	GPL
URL: 		http://ndiswrapper.sourceforge.net/
Source0: 	http://download.sf.net/sourceforge/ndiswrapper/ndiswrapper-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
ExclusiveArch: 	i686

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
The ndiswrapper project makes it possible to use WLAN-Hardware 
with Linux by means of a loadable kernel module that "wraps
around" NDIS (Windows network driver API) drivers.  These rpms contain
just the kernel module and loader. You will also need the Windows driver 
for your card.

WARNING: CCux-Kernels use 4K size stack. Many Windows drivers
will need at least 8K size stacks. For details read the wiki on:
http:/ndiswrapper.sourceforge.net


# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kver} %{kvariants} 2>/dev/null)}


%prep
# To understand the magic better or to debug it, uncomment this :
#{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c -T -a 0
pushd ndiswrapper-%{version}
popd
sed -i 's|/sbin/depmod -a|/bin/true|' %{kmod_name}-%{version}/driver/Makefile
for kvariant in %{kvariants} ; do
    cp -a %{kmod_name}-%{version} _kmod_build_$kvariant
done


%build
for kvariant in %{kvariants}; do
    ksrc=%{_usrsrc}/kernels/%{kver}.%{_target_cpu}${kvariant:+.$kvariant}
    cd _kmod_build_$kvariant
    make KVERS=%{kver}${kvariant} KSRC="${ksrc}" KBUILD="${ksrc}" -C driver 
    cd ..
done


%install
for kvariant in %{kvariants}; do
    ksrc=%{_usrsrc}/kernels/%{kver}.%{_target_cpu}${kvariant:+.$kvariant}
    cd _kmod_build_$kvariant
    make -C driver KVERS=%{kver}${kvariant} KSRC="${ksrc}" KBUILD="${ksrc}" INST_DIR=$RPM_BUILD_ROOT/lib/modules/%{kver}.%{_target_cpu}${kvariant:+.$kvariant}/extra/%{kmod_name} install
    cd ..
done
chmod 0755 $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*

%clean
%{__rm} -rf %{buildroot}

%changelog
* Mon Jan 26 2009 Karsten Brockmann <arcam@ccux-linux.de>  1.54-1
- version update
- Kernel 2.6.28-4
* Mon Jan 19 2009 Karsten Brockmann <arcam@ccux-linux.de>  1.53-19
- Kernel 2.6.28-3
* Sat Dec 27 2008 Karsten Brockmann <arcam@ccux-linux.de>  1.53-18
- Kernel 2.6.28-1
* Sun Nov 09 2008 Karsten Brockmann <arcam@ccux-linux.de>  1.53-17
- Kernel 2.6.27-13
* Wed Oct 29 2008 Christian Metzen <metzench@ccux-linux.de> 1.53-16
- kernel 2.6.27-11
* Thu Sep 18 2008 Christian Metzen <metzench@ccux-linux.de> 1.53-15
- Kernel 2.6.26-10
* Fri Aug 29 2008 Christian Metzen <metzench@ccux-linux.de> 1.53-14
- Kernel 2.6.26-9
* Thu Aug 21 2008 Karsten Brockmann <arcam@ccux-linux.de>  1.53-13
- Kernel 2.6.26-8
* Thu Aug 21 2008 Christian Metzen <metzench@ccux-linux.de> 1.53-12
- Kernel 2.6.26-7
* Sun Jul 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.53-11
- fixed kernel dependency
* Fri Jul 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.53-10
- kernel 2.6.26-5
* Sun Jul 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.53-9
- kernel 2.6.26-3
* Sat Jul 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.53-8
- kernel 2.6.26-2
* Sat Jul 05 2008 Christian Metzen <metzench@ccux-linux.de> 1.53-7
- Kernel 2.6.25-15
* Mon Jun 30 2008 Christian Metzen <metzench@ccux-linux.de> 1.53-6
- Kernel 2.6.25-14
* Mon Jun 30 2008 Christian Metzen <metzench@ccux-linux.de> 1.53-5
- Kernel 2.6.25-13
* Sat Jun 28 2008 Christian Metzen <metzench@ccux-linux.de> 1.53-4
- Kernel 2.6.25-12
* Sun Jun 22 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.53-3
- kernel 2.6.25-11
* Sat Jun 21 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.53-2
- kernel 2.6.25-10
* Sat Jun 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.53-1
- version update
- kernel 2.6.25-9
* Fri Jun 13 2008 Christian Metzen <metzench@ccux-linux.de> 1.52-6
- kernel 2.6.25-8
* Fri May 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.52-5
- kernel 2.6.25-7
* Sat May 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.52-4
- kernel 2.6.25-6
* Fri May 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.52-3
- kernel 2.6.25-4
* Sat Apr 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.52-2
- kernel 2.6.25-3
* Sat Mar 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.52-1
- version update
- kernel 2.6.24-10
* Sun Dec 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.51-2
- kernel 2.6.24-5
* Mon Dec 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.51-1
- version update
- kernel 2.6.24-3
* Sat Dec 01 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.50-1
- version update
* Sun Nov 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.49-1
- version update
- kernel 2.6.24-1
* Thu Jun 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.47-1
- version update
- kernel 2.6.21-5
* Mon Jun 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.46-1
- version update
- kernel 2.6.21-4
* Thu May 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.43-1
- version update
- kernel 2.6.21-2
* Fri Apr 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.42-1
- version update
- kernel 2.6.21-1
* Sun Apr 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.41-1
- version update
- kernel 2.6.20-7
* Thu Mar 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.38-2
- Kernel 2.6.20-5
* Fri Mar 02 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.38-1
- Version update
* Sat Feb 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.37-4
- Kernel 2.6.20-4
* Thu Feb 22 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.37-3
- Kernel 2.6.20-3
* Sat Feb 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.37-2
- Kernel 2.6.20-2
* Tue Feb 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.37-1
- Version update
- Kernel 2.6.20-1
* Mon Jan 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.34-1
- Version update
* Sat Jan 13 2007 Christian Metzen <metzench@ccux-linux.de> 1.30-2
- Kernel 2.6.19-6
* Wed Dec 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.30-1
- Version update
- Kernel 2.6.19-4
* Sat Oct 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.23-4
- Kernel 2.6.18-4
* Mon Oct 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.23-3
- Kernel 2.6.18-2
* Tue Oct 03 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.23-2
- Kernel 2.6.18-1
* Tue Aug 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.23-1
- version update
- Kernel 2.6.17-3
* Wed Aug 09 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.19-2
- Kernel 2.6.17-2
* Fri Jul 14 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.19-1
- Version update
* Sat Jul 08 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.16-2
- Kernel 2.6.17-1
* Sun May 14 2006 Christian Metzen <metzench@ccux-linux.de> 1.16-1
- Version update
- Kernel 2.6.16-5
* Tue Apr 18 2006 Christian Metzen <metzench@ccux-linux.de> 1.14-1
- Version update
- Initial Release with new kmod helper
